GalertDefPartition (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.galerts.server.session.GalertDefPartition class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.galerts.server.session
Class GalertDefPartition

    java.lang.Object
      org.hyperic.util.HypericEnum
          org.hyperic.hq.galerts.server.session.GalertDefPartition

All Implemented Interfaces:
  java.io.Serializable, JSON

    public abstract class GalertDefPartition

extends HypericEnum

An alert definition is divided into partitions. Currently the only two partitions are: Normal - Regular style alert definition. If X happens, el-kabong Recovery - A partition indicating that an alertable condition is no longer valid

See Also:
  Serialized Form

Field Summary
`static GalertDefPartition` | `NORMAL`
`static GalertDefPartition` | `RECOVERY`

Method Summary
`abstract void` | `execute(java.lang.Integer id, ExecutionReason execReason)`
`static GalertDefPartition` | `findByCode(int code)`

Methods inherited from class org.hyperic.util.HypericEnum
`findByCode, findByDescription, getAll, getByCode, getCode, getDescription, getJsonName, getValue, toJSON, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NORMAL

    public static final GalertDefPartition NORMAL

### RECOVERY

    public static final GalertDefPartition RECOVERY

Method Detail

### execute

    public abstract void execute(java.lang.Integer id,
                                 ExecutionReason execReason)

### findByCode

    public static GalertDefPartition findByCode(int code)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.